### Method

# Xdp Portal update_monitor_start

#### Declaration [src]

    void
    xdp_portal_update_monitor_start (
      XdpPortal* portal,
      XdpUpdateMonitorFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Makes `XdpPortal` start monitoring for available software updates.

When a new update is available, the `XdpPortal::update-available`. signal is emitted.

Use `xdp_portal_update_monitor_stop()` to stop monitoring.

#### Parameters

`flags` | `XdpUpdateMonitorFlags`
| Options for this cal..
`cancellable` | `GCancellable`
| Optional `GCancellable`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call when the request is done.
| The argument can be `NULL`.
`data` | `gpointer`
| Data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.